# pandas.Series.str.rsplit

`Series.str.``rsplit`(pat=None, n=-1, expand=False)

  Split each string in the Series/Index by the given delimiter string, starting at the end of the string and working to the front. Equivalent to `str.rsplit()`.

  Parameters:

  pat : string, default None

  > Separator to split on. If None, splits on whitespace

  n : int, default -1 (all)

  > None, 0 and -1 will be interpreted as return all splits

  expand : bool, default False

  > - If True, return DataFrame/MultiIndex expanding dimensionality.
  > - If False, return Series/Index.

  Returns: | split : Series/Index or DataFrame/MultiIndex of objects

Scroll To Top